Get a Single Form Completion
curl --request GET \
--url https://api.vomo.org/v1/forms/{id}/completions/{completion} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/forms/{id}/completions/{completion}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/forms/{id}/completions/{completion}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/forms/{id}/completions/{completion}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vomo.org/v1/forms/{id}/completions/{completion}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/forms/{id}/completions/{completion}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vomo.org/v1/forms/{id}/completions/{completion}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.vomo.org/v1/forms/{id}/completions/{completion}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": {
"type": "form_completion",
"id": 70001,
"form_id": 2001,
"user_id": 7903,
"project_id": null,
"participation_id": null,
"field_responses": [
{
"type": "form_field_response",
"id": 80001,
"form_completion_id": 70001,
"user_id": 7903,
"field_id": 5001,
"value": "M"
}
],
"created_at": "2025-11-05T10:00:00+00:00",
"updated_at": "2025-11-05T10:00:00+00:00"
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "Not Found"
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Forms
Get a Single Form Completion
Returns the full detail record for a single form completion, including all field responses submitted by the volunteer. Use this endpoint to retrieve the specific answers a user provided when completing a form.
GET
https://api.vomo.org/v1
/
forms
/
{id}
/
completions
/
{completion}
Get a Single Form Completion
curl --request GET \
--url https://api.vomo.org/v1/forms/{id}/completions/{completion} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/forms/{id}/completions/{completion}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/forms/{id}/completions/{completion}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/forms/{id}/completions/{completion}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vomo.org/v1/forms/{id}/completions/{completion}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/forms/{id}/completions/{completion}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vomo.org/v1/forms/{id}/completions/{completion}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.vomo.org/v1/forms/{id}/completions/{completion}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": {
"type": "form_completion",
"id": 70001,
"form_id": 2001,
"user_id": 7903,
"project_id": null,
"participation_id": null,
"field_responses": [
{
"type": "form_field_response",
"id": 80001,
"form_completion_id": 70001,
"user_id": 7903,
"field_id": 5001,
"value": "M"
}
],
"created_at": "2025-11-05T10:00:00+00:00",
"updated_at": "2025-11-05T10:00:00+00:00"
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "Not Found"
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Authorizations
Path Parameters
Was this page helpful?